<div class="authentication-wrapper authentication-2 ui-bg-cover ui-bg-overlay-container px-4" style="background-image: url('assets/img/bg/1.jpg');height:100vh">
  <div class="ui-bg-overlay bg-dark opacity-25"></div>

  <div class="authentication-inner py-5">

    <div class="card">
      <div class="p-4 px-sm-5 pt-sm-5">
        <!-- Logo -->
        <!-- <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
          <div >
            <div class="w-100 position-relative">
                <img src="../../assets/img/logo.png?v1.0" class="login-logo" />
            </div>
          </div>
        </div> -->
        <!-- / Logo -->

        <h5 class="text-center text-muted font-weight-normal mb-4">Server Configuration</h5>

        <!-- Form -->
        <form>
          <div class="form-inline form-group">
              <label class="form-label" style="justify-content:left;width:80%">Https Server</label>
            <label class="switcher">
              <input type="checkbox" class="switcher-input" checked="false" [(ngModel)]="serverConfigRequest.https" [ngModelOptions]="{standalone: true}" (ngModelChange)="httpsClicked()">
              <span class="switcher-indicator">
                <span class="switcher-yes"></span>
                <span class="switcher-no"></span>
              </span>
              <!-- <span class="switcher-label">Https Server</span> -->
            </label>
          </div>

          <div class="form-group">
            <label class="form-label">Server Name</label>
            <input [(ngModel)]="serverConfigRequest.hostName" [ngModelOptions]="{standalone: true}" placeholder="Host Name" type="text"
              class="form-control">
          </div>

          <div class="form-group">
            <label class="form-label">Port Number</label>
            <input [(ngModel)]="serverConfigRequest.portNumber" [ngModelOptions]="{standalone: true}" maxlength="4" placeholder="Port Number"
              type="tel" class="form-control">
          </div>
          <div class="form-inline">
            <button style="width:48%;" type="button" (click)="cancelClicked()" class="btn btn-default">Cancel</button>
          <button type="button" (click)="saveClicked()" class="btn btn-outline-primary pull-left" style="margin-left:auto; width:48%;">Save</button>
          </div>
          

        </form>
        <!-- / Form -->

      </div>

    </div>
    <p style="color: rgb(255, 255, 255); text-align: center; width: 100%;" >{{appVersion}}</p>
  </div>

</div>